Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1494074 - Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel [NEEDINFO]
Summary: Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: resiprocate
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Pocock
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1486480
TreeView+ depends on / blocked
 
Reported: 2017-09-21 12:32 UTC by Michal Schorm
Modified: 2020-11-24 15:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 15:40:35 UTC
Type: Bug
mschorm: needinfo? (daniel)


Attachments (Terms of Use)

Description Michal Schorm 2017-09-21 12:32:29 UTC
Hello, a MariaDB went through big changes and your package will probabbly need a patch. However your package FTBFS for a long time, so I have no way to test the patch.

In most cases, this command was enough to fix all the issues:

sed -i "s/mysql-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/%{_libdir}\/mysql/%{_libdir}\/mariadb/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-connector-c-devel/mariadb-connector-c-devel openssl-devel/" $(fedpkg gimmespec) ;

This change is currently applicable to the Rawhide (f28) only.



For more information check the tracking bugzilla.

Comment 1 Michal Schorm 2017-12-13 12:41:13 UTC
Hello,
 any update regarding this issue?

Comment 2 Fedora End Of Life 2018-02-20 15:21:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Ben Cotton 2019-05-02 22:08:53 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-08-13 16:47:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2020-11-03 14:59:17 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-11-24 15:40:35 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.